## syslog-ng 3.5.1

=== debian/changelog ===
syslog-ng (3.5.1-1) unstable; urgency=low

  [ Gergely Nagy <algernon@madhouse-project.org> ]
  * New upstream release.
    + Support auto-loading modules (Closes: #650814)
    + The SMTP module is available in syslog-ng-mod-smtp (Closes: #722746)
    + New modules: amqp, geoip, stomp, redis and smtp.
    + Multi-line input support (indented multiline and regexp-based)
    + Template type hinting for the MongoDB destination and $(format-json)
    + Support for unit suffixes in the configuration file
    + New filters, template functions and other miscellaneous changes
  * New (team) maintainer, Laszlo Boszormenyi, Attila Szalay and myself
    added to Uploaders.
  * Ship /var/lib/syslog-ng in the syslog-ng-core package, instead of
    creating it in the init script. Thanks Michael Biebl
    <biebl@debian.org> for the report & assistance. (Closes: #699942, #719910)
  * Use dh-systemd for proper systemd-related maintainer scripts. Based on
    a patch by Michael Biebl <biebl@debian.org>. (Closes: #713982,
    #690067)
  * Do not wait for syslog-ng to settle down during installation / update.
    This also fixes installing via debootstrap and a fake
    start-stop-daemon. (Closes: #714254)

 -- Gergely Nagy <algernon@madhouse-project.org>  Mon, 04 Nov 2013 15:27:37 +0100

syslog-ng (3.3.5-1~mhp1) unstable; urgency=low

  [ Gergely Nagy <algernon@madhouse-project.org> ]
  * New upstream release.
    + afsocket: handle DNS failures as if it was a connection failure
      (Closes: #660897)
  * All patches dropped, they're applied upstream.
  * Include upstream man pages, as they're DFSG-free now.
  * Update debian/copyright for 1.0 of the spec.
  * Bump Standards-Version to 3.9.3 (no changes required)
  * Fix squeeze->wheezy install-remove-install upgrade path.
    (Closes: #665905)
  * Fix the init script to create /dev/xconsole properly on GNU/kFreeBSD.

 -- Gergely Nagy <algernon@madhouse-project.org>  Mon, 16 Apr 2012 15:22:59 +0200

syslog-ng (3.3.4.dfsg-2~mhp1) unstable; urgency=low

  [ Gergely Nagy <algernon@madhouse-project.org> ]
  * Packaging synced with GCS.
  * Patches applied:
    + Fix framing issues with the syslog protocol, based on a patch by
      Zoltan Fried <deirf@balabit.hu>.
    + afsql: Fix a deadlock when using explicit commits.
    + afmongodb: Fix a deadlock at deinit time.

 -- Gergely Nagy <algernon@madhouse-project.org>  Fri, 10 Feb 2012 13:38:13 +0100

syslog-ng (3.3.4.dfsg-1~mhp1) unstable; urgency=low

  * New upstream release.

  [ Gergely Nagy <algernon@balabit.hu> ]
  * Applied a patch to fix framing issues with the syslog protocol, based
    on a patch by Zoltan Fried <deirf@balabit.hu>.

 -- Gergely Nagy <algernon@madhouse-project.org>  Fri, 27 Jan 2012 14:47:07 +0100

syslog-ng (3.3.3.dfsg-1~mhp2+g511e939) unstable; urgency=low

  * New snapshost release, based on upstream commit 511e939.

  [ Gergely Nagy <algernon@madhouse-project.org> ]
  * Change the package versioning scheme and the way Revision is
    assembled: the version now includes the git commit id it is based on,
    and so does the revision (which now also includes the distribution
    version it was built for, not only in the version).

 -- Gergely Nagy <algernon@madhouse-project.org>  Thu, 29 Dec 2011 10:23:55 +0100

syslog-ng (3.3.3.dfsg-1~mhp1) unstable; urgency=low

  * New snapshot release, based on upstream commit cd059ea.

  [ Gergely Nagy <algernon@madhouse-project.org> ]
  * Dropped the previous two patches, they're applied upstream.

 -- Gergely Nagy <algernon@madhouse-project.org>  Thu, 01 Dec 2011 11:46:17 +0100

syslog-ng (3.3.3.dfsg-1~mhp0) unstable; urgency=low

  * New upstream release.

  [ Gergely Nagy <algernon@madhouse-project.org> ]
  * Refresh debian/copyright.
  * Fix reusable rewrite rules, patch from Zoltan Fried
    <deirf@balabit.hu>.
  * Fix FTBFS on Hurd, patch from Svante Signell
    <svante.signell@telia.com>. (Closes: #648987)

 -- Gergely Nagy <algernon@madhouse-project.org>  Fri, 18 Nov 2011 15:18:37 +0100

syslog-ng (3.3.2.dfsg-1~mhp0) unstable; urgency=low

  * New upstream release.

  [ Gergely Nagy <algernon@madhouse-project.org> ]
  * Introduced a syslog-ng-dbg package.
  * Init script updates:
    + Silence mknod errors, they're not interesting, and adds noise on
    kFreeBSD.
    + Use set -e.
    + Use s-s-d's --oknodo options instead of checking the existence of a
    pidfile ourselves.

 -- Gergely Nagy <algernon@madhouse-project.org>  Sun, 13 Nov 2011 19:49:36 +0100

syslog-ng (3.3.2.dfsg~0-1~mhp3) unstable; urgency=low

  * New upstream snapshot, based on commit 8239b58.
  * Packaging synced with GCS.

 -- Gergely Nagy <algernon@madhouse-project.org>  Wed, 09 Nov 2011 23:41:12 +0100

=== debian/control ===
Source: syslog-ng
Section: admin
Priority: extra
Maintainer: syslog-ng maintainers <syslog-ng-maintainers@lists.alioth.debian.org>
Uploaders: Gergely Nagy <algernon@madhouse-project.org>,
           Laszlo Boszormenyi (GCS) <gcs@debian.hu>,
           SZALAY Attila <sasa@debian.org>
Build-Depends: debhelper (>= 9~),
               dh-autoreconf,
               automake (>= 1:1.11.1),
               pkg-config, flex, bison, lsb-release,
               xsltproc, docbook-xsl,
               libevtlog-dev (>= 0.2.12-5~),
               libesmtp-dev,
               libivykis-dev (>= 0.36.1~),
               libnet1-dev,
               libglib2.0-dev,
               libdbi0-dev | libdbi-dev,
               libssl-dev,
               libmongo-client-dev (>= 0.1.6~),
               libjson0-dev,
               libwrap0-dev,
               libpcre3-dev,
               libcap-dev [linux-any],
               libsystemd-daemon-dev [linux-any], dh-systemd (>= 1.3),
               libgeoip-dev,
               libhiredis-dev,
               python
Build-Conflicts: autoconf2.13
Standards-Version: 3.9.5
Homepage: http://www.balabit.com/network-security/syslog-ng/opensource-logging-system
Vcs-Git: git://git.madhouse-project.org/debian/syslog-ng.git
Vcs-Browser: http://git.madhouse-project.org/debian/syslog-ng/log/?h=packaging/debian/3.5

Package: syslog-ng
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}, syslog-ng-core (>= ${source:Upstream-Version}), ${sng:CoreModules}
Recommends: ${sng:Modules}
Description: Next generation system logging daemon (metapackage)
 syslog-ng is an enhanced syslog daemon, supporting, amongst others:
  * Powerful configurability, while still being readable
  * Filtering on any part of the syslog message
  * Support for both legacy BSD and the new syslog protocol
  * Wide range of source and destination drivers, including TCP
    (plain, or over SSL/TLS), UDP, SQL, MongoDB
  * Also supports fine-grained output format control
  * Multi-threaded operation
 .
 The wide range of plugins make syslog-ng able to perform well in
 every situation, ranging from enterprise-class centralised
 deployments, through personal computers to ad-hoc connected networks.
 .
 This package is a metapackage, depending on the rest of syslog-ng,
 including all available plugins. It can be safely removed, if only
 parts of syslog-ng need to be installed.

Package: syslog-ng-dbg
Architecture: any
Multi-Arch: same
Section: debug
Depends: syslog-ng-core (= ${binary:Version}), ${misc:Depends}
Description: Next generation system logging daemon (debug symbols)
 syslog-ng is an enhanced syslog daemon, supporting, amongst others:
  * Powerful configurability, while still being readable
  * Filtering on any part of the syslog message
  * Support for both legacy BSD and the new syslog protocol
  * Wide range of source and destination drivers, including TCP
    (plain, or over SSL/TLS), UDP, SQL, MongoDB
  * Also supports fine-grained output format control
  * Multi-threaded operation
 .
 The wide range of plugins make syslog-ng able to perform well in
 every situation, ranging from enterprise-class centralised
 deployments, through personal computers to ad-hoc connected networks.
 .
 This package contains debug symbols for the whole of syslog-ng,
 including the modules.

Package: syslog-ng-dev
Section: libdevel
Architecture: any
Depends: syslog-ng-core (= ${binary:Version}),
 ${misc:Depends}, ${perl:Depends},
 pkg-config, perl, flex, bison,
 libevtlog-dev (>= 0.2.12), libglib2.0-dev, libivykis-dev (>= 0.30)
Description: Next generation system logging daemon (development files)
 This package contains the headers and tools needed to build
 third-party plugins against syslog-ng, the next generation system
 logging daemon.

Package: syslog-ng-core
Architecture: any
Multi-Arch: foreign
Depends: ${shlibs:Depends}, ${misc:Depends}, util-linux (>= 2.12-10)
Recommends: logrotate
Suggests: ${sng:CoreModules}, ${sng:Modules}
Provides: system-log-daemon, linux-kernel-log-daemon, libsyslog-ng-dev
Conflicts: system-log-daemon, linux-kernel-log-daemon
Replaces: syslog-ng (<< 3.3.0~), libsyslog-ng-dev
Breaks: syslog-ng (<< 3.3.0~), libsyslog-ng-dev
Description: Next generation system logging daemon (core)
 syslog-ng is an enhanced syslog daemon, supporting, amongst others:
  * Powerful configurability, while still being readable
  * Filtering on any part of the syslog message
  * Support for both legacy BSD and the new syslog protocol
  * Wide range of source and destination drivers, including TCP
    (plain, or over SSL/TLS), UDP, SQL, MongoDB
  * Also supports fine-grained output format control
  * Multi-threaded operation
 .
 The wide range of plugins make syslog-ng able to perform well in
 every situation, ranging from enterprise-class centralised
 deployments, through personal computers to ad-hoc connected networks.
 .
 This package provides the core syslog-ng, with all the plugins
 required for a standard installation.

Package: syslog-ng-mod-json
Architecture: any
Multi-Arch: foreign
Depends: syslog-ng-core (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Description: Next generation system logging daemon (JSON plugin)
 syslog-ng is an enhanced syslog daemon, supporting, amongst others:
  * Powerful configurability, while still being readable
  * Filtering on any part of the syslog message
  * Support for both legacy BSD and the new syslog protocol
  * Wide range of source and destination drivers, including TCP
    (plain, or over SSL/TLS), UDP, SQL, MongoDB
  * Also supports fine-grained output format control
  * Multi-threaded operation
 .
 The wide range of plugins make syslog-ng able to perform well in
 every situation, ranging from enterprise-class centralised
 deployments, through personal computers to ad-hoc connected networks.
 .
 This package provides the $(format-json) template function plugin,
 which makes it possible to conveniently serialize system log messages
 to JSON. Along with the template function, this module also provides
 a json-parser plugin, allowing syslog-ng to parse JSON input.

Package: syslog-ng-mod-mongodb
Architecture: any
Multi-Arch: foreign
Depends: syslog-ng-core (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Suggests: mongodb-server
Description: Next generation system logging daemon (MongoDB plugin)
 syslog-ng is an enhanced syslog daemon, supporting, amongst others:
  * Powerful configurability, while still being readable
  * Filtering on any part of the syslog message
  * Support for both legacy BSD and the new syslog protocol
  * Wide range of source and destination drivers, including TCP
    (plain, or over SSL/TLS), UDP, SQL, MongoDB
  * Also supports fine-grained output format control
  * Multi-threaded operation
 .
 The wide range of plugins make syslog-ng able to perform well in
 every situation, ranging from enterprise-class centralised
 deployments, through personal computers to ad-hoc connected networks.
 .
 This package provides the MongoDB destination plugin, which allows
 one to log system messages to MongoDB.

Package: syslog-ng-mod-sql
Architecture: any
Multi-Arch: foreign
Depends: syslog-ng-core (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Suggests: libdbd-mysql, libdbd-pgsql, libdbd-sqlite3
Description: Next generation system logging daemon (SQL plugin)
 syslog-ng is an enhanced syslog daemon, supporting, amongst others:
  * Powerful configurability, while still being readable
  * Filtering on any part of the syslog message
  * Support for both legacy BSD and the new syslog protocol
  * Wide range of source and destination drivers, including TCP
    (plain, or over SSL/TLS), UDP, SQL, MongoDB
  * Also supports fine-grained output format control
  * Multi-threaded operation
 .
 The wide range of plugins make syslog-ng able to perform well in
 every situation, ranging from enterprise-class centralised
 deployments, through personal computers to ad-hoc connected networks.
 .
 This package provides the SQL destination plugin, which allows one to
 log system messages to a multitude of SQL databases (including, but
 not limited to MySQL, PostgreSQL and SQLite).

Package: syslog-ng-mod-smtp
Architecture: any
Multi-Arch: foreign
Depends: syslog-ng-core (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Description: Next generation system logging daemon (SMTP plugin)
 syslog-ng is an enhanced syslog daemon, supporting, amongst others:
  * Powerful configurability, while still being readable
  * Filtering on any part of the syslog message
  * Support for both legacy BSD and the new syslog protocol
  * Wide range of source and destination drivers, including TCP
    (plain, or over SSL/TLS), UDP, SQL, MongoDB
  * Also supports fine-grained output format control
  * Multi-threaded operation
 .
 The wide range of plugins make syslog-ng able to perform well in
 every situation, ranging from enterprise-class centralised
 deployments, through personal computers to ad-hoc connected networks.
 .
 This package provides the SMTP destination plugin, which allows one
 to send email messages from within syslog-ng itself.

Package: syslog-ng-mod-amqp
Architecture: any
Multi-Arch: foreign
Depends: syslog-ng-core (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Suggests: rabbitmq-server
Description: Next generation system logging daemon (AMQP plugin)
 syslog-ng is an enhanced syslog daemon, supporting, amongst others:
  * Powerful configurability, while still being readable
  * Filtering on any part of the syslog message
  * Support for both legacy BSD and the new syslog protocol
  * Wide range of source and destination drivers, including TCP
    (plain, or over SSL/TLS), UDP, SQL, MongoDB
  * Also supports fine-grained output format control
  * Multi-threaded operation
 .
 The wide range of plugins make syslog-ng able to perform well in
 every situation, ranging from enterprise-class centralised
 deployments, through personal computers to ad-hoc connected networks.
 .
 This package provides the AMQP destination plugin, which allows one
 to publish log messages through the AMQP protocol.

Package: syslog-ng-mod-geoip
Architecture: any
Multi-Arch: foreign
Depends: syslog-ng-core (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Recommends: geoip-database
Description: Next generation system logging daemon (GeoIP plugin)
 syslog-ng is an enhanced syslog daemon, supporting, amongst others:
  * Powerful configurability, while still being readable
  * Filtering on any part of the syslog message
  * Support for both legacy BSD and the new syslog protocol
  * Wide range of source and destination drivers, including TCP
    (plain, or over SSL/TLS), UDP, SQL, MongoDB
  * Also supports fine-grained output format control
  * Multi-threaded operation
 .
 The wide range of plugins make syslog-ng able to perform well in
 every situation, ranging from enterprise-class centralised
 deployments, through personal computers to ad-hoc connected networks.
 .
 This package provides the GeoIP template function plugin, which
 allows one to do non-DNS IP-to-country resolving from syslog-ng
 templates.

Package: syslog-ng-mod-redis
Architecture: any
Multi-Arch: foreign
Depends: syslog-ng-core (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Recommends: geoip-database
Description: Next generation system logging daemon (Redis plugin)
 syslog-ng is an enhanced syslog daemon, supporting, amongst others:
  * Powerful configurability, while still being readable
  * Filtering on any part of the syslog message
  * Support for both legacy BSD and the new syslog protocol
  * Wide range of source and destination drivers, including TCP
    (plain, or over SSL/TLS), UDP, SQL, MongoDB
  * Also supports fine-grained output format control
  * Multi-threaded operation
 .
 The wide range of plugins make syslog-ng able to perform well in
 every situation, ranging from enterprise-class centralised

=== debian/rules ===
#! /usr/bin/make -f
## debian/rules file for syslog-ng 3.3+
## (C) 2010-2012 Laszlo Boszormenyi (GCS) <gcs@debian.hu>
## (C) 2011-2013 Gergely Nagy <algernon@madhouse-project.org>
##
## Released under the GPLv2+, see /usr/share/common-licenses/GPL-2 on
## Debian systems.

# For my own sanity, when debian/rules is ran without any argument,
# display something meaningful, instead of just running the first
# override.
help:
	sensible-pager debian/README.source

##
#* Environment setup
#
# If DEB_BUILD_OPTIONS has "debug" in it, we want to pass
# --enable-debug to configure.
#
# We also want to build in a separate build directory:
# debian/build-tree, because it's just so much easier to ignore files
# in there.
#
# By the way, if one wants to pass extra flags to configure, that can
# be done with EXTRA_CONFIGURE_OPTS, we don't override it, only append
# to it.
##
ifneq (,$(filter debug,$(DEB_BUILD_OPTIONS)))
EXTRA_CONFIGURE_OPTS += --enable-debug
endif

# We want to support building from a git tree, where the syslog-ng
# sources are in a submodule, in syslog-ng-*. Since we do not wish to
# update the rules for every major version if it can be helped, figure
# it out from the changelog instead.
UMAJOR		   = $(shell dpkg-parsechangelog | sed -n '/^Version:/s/^Version: //p' | cut -d. -f1,2)
# Furthermore, if the directory does not exist, lets suppose we're not
# building from a git checkout, but some kind of tarball-thing, where
# debian/ was laid out on top of the upstream sources. So in this
# case, use the current directory as the source dir.
SRCDIR	   	   = $(shell test -d syslog-ng-${UMAJOR} && echo syslog-ng-${UMAJOR} || echo .)

export DH_OPTIONS += -O-Bdebian/build-tree --dbg-package=syslog-ng-dbg -O-D${SRCDIR}

CFLAGS		?= $(shell dpkg-buildflags --get CFLAGS)
LDFLAGS		?= $(shell dpkg-buildflags --get LDFLAGS)

# If debian/control does not have a build-dependency on
# libsystemd-daemon, enable systemd support, otherwise not.
ifeq ($(shell grep -q libsystemd-daemon-dev debian/control || echo disabled),disabled)
SYSTEMD_SUPPORT	?= --disable-systemd
else
SYSTEMD_SUPPORT	?= --enable-systemd
endif

##
#* Overrides for dh_auto*
##

# Autoreconf needs a few things:
# - m4 directories for the submodules, because otherwise it can
#   randomly fail.
# - We need to call autogen.sh instead of autoreconf.
override_dh_autoreconf:
	install -d ${SRCDIR}/lib/ivykis/m4 ${SRCDIR}/modules/afmongodb/libmongo-client/m4 \
		debian/build-tree/modules/afamqp/rabbitmq-c/librabbitmq
	dh_autoreconf -- sh -c "cd ${SRCDIR} && ./autogen.sh"

# Oh, the joys of configure!
# We pass down all appropriate options, along with EXTRA_CONFIGURE_OPTS.
# This also sets SOURCE_REVISION to the debian package version, plus
# some other stuff that we keep in debian/source_revision (generated
# by debian/tools/bootstrap.sh).
override_dh_auto_configure:
	install -d debian/build-tree
	SOURCE_REVISION="$(shell dpkg-parsechangelog | \
			  sed -n "/^Version:/s/^Version: //p" | \
			  sed -e "s,$$,$(shell cat debian/source_revision 2>/dev/null || true)," | \
			  sed -e "s,$$, ($(shell lsb_release -is)/$(shell lsb_release -rs)),")"; \
	dh_auto_configure -- \
		--build=$(dpkg-architecture -qDEB_BUILD_GNU_TYPE) \
		--prefix=/usr \
		--mandir=/usr/share/man \
		--sysconfdir=/etc/syslog-ng \
		--localstatedir=/var/lib/syslog-ng \
		--datadir=/usr/share/syslog-ng \
		--libdir=/usr/lib/syslog-ng \
		\
		--enable-dynamic-linking \
		--enable-ssl \
		--enable-spoof-source \
		--enable-tcp-wrapper \
		--enable-sql \
		--enable-mongodb \
		--enable-json \
		${SYSTEMD_SUPPORT} \
		\
		--with-libmongo-client=system \
		--with-ivykis=system \
		\
		--with-module-dir='$${exec_prefix}/lib/syslog-ng/$${VERSION}' \
		--with-systemdsystemunitdir="/lib/systemd/system" \
		\
		SOURCE_REVISION="$${SOURCE_REVISION}" \
		${EXTRA_CONFIGURE_OPTS}

# Building is fine, but the manpages need some sed work, to replace
# /opt/syslog-ng with something sensible.
override_dh_auto_build:
	dh_auto_build -- V=1
	for f in debian/build-tree/doc/man/*; do \
		sed -e "s#/opt/syslog\\\-ng/etc#/etc/syslog-ng#g" \
		    -e "s#/opt/syslog\\\-ng##g" \
		    -e "/affile/{s#,#, #g}" \
		    -e 's#^/$$##' <$$f >$$f.new && \
		rm $$f && mv $$f.new $$f; \
	done

# The pkg-config .pc file is installed into ${libdir}/pkgconfig, but
# we override libdir above to place everything useful there. We want
# the .pc file elsewhere, though, so do that here at install time.
override_dh_auto_install:
	dh_auto_install -- pkgconfdir=/usr/lib/pkgconfig

# Tests. While tests are good, they're quite costy, and I'm not
# convinced they'd run on the buildds at all. Therefore, they're
# disabled.
override_dh_auto_test:

# Cleaning is another fun thing: make distclean will not remove
# everything we want to remove (ie, everything generated, no
# exceptions). So we do a bit of finding and remove a few things it
# missed. We also remove the m4 directories we created for autoreconf
# earlier.
override_dh_auto_clean:
	dh_auto_clean
	find . \( -name 'Makefile.in' -or \
		  -name 'aclocal.m4' -or \
		  -name 'configure' -or \
		  -name 'depcomp' -or -name 'missing' -or \
		  -name 'install-sh' -or -name 'ltmain.sh' -or \
		  -name 'ylwrap' -or \
		  -regex '.*/config\.\(sub\|guess\|h\.in\)' \) \
	     -exec rm '{}' \;
	rm -f ${SRCDIR}/m4/lt*.m4 ${SRCDIR}/m4/libtool.m4 ${SRCDIR}/m4/pkg.m4
	rm -rf ${SRCDIR}/lib/ivykis/m4 ${SRCDIR}/modules/afmongodb/libmongo-client/m4
	rm -rf debian/build-tree/

##
#* Overrides for other debhelper commands
#
# Below are overrides for individual debhelper commands.
##

# On kFreeBSD, d_console_all should log to /dev/ttyva, everywhere
# else, to tty10. To keep the config as simple as possible, this is
# accomplished by pulling the target device out of syslog-ng.conf,
# into `scl-root`/system/tty10.conf.
#
# On kFreeBSD, this defines the `tty10` variable to /dev/ttyva,
# everywhere else to /dev/tty10.
#
# It will be installed into the syslog-ng-core package by the
# override_dh_install target.
ifeq (${DEB_HOST_ARCH_OS},kfreebsd)
TTY10_CONF = tty10.kfreebsd.conf
else
TTY10_CONF = tty10.linux.conf
endif

# Upstream installs the merge-grammar.pl as data, thus not
# executable. Yet, it needs to be, since the Makefiles that upstream
# also installs expect it so.
#
# So we simply flip a few bits after dh_install, and we're good to go!
#
# We also want to install the systemd unit file into syslog-ng-core,
# so do that here too, along with installing tty10.conf.
override_dh_install:
	dh_install
ifneq (,$(filter syslog-ng-dev,$(shell dh_listpackages)))
	chmod +x debian/syslog-ng-dev/usr/share/syslog-ng/tools/merge-grammar.pl
endif
ifneq (,$(filter syslog-ng-core,$(shell dh_listpackages)))
ifeq (${SYSTEMD_SUPPORT},--enable-systemd)
	install -d debian/syslog-ng-core/lib/systemd/system
	install -m 0644 ${SRCDIR}/contrib/systemd/syslog-ng.service \
			debian/syslog-ng-core/lib/systemd/system/
endif
	install -m 0644 debian/${TTY10_CONF} \
			debian/syslog-ng-core/usr/share/syslog-ng/include/scl/system/tty10.conf
endif

# Install the NEWS file as upstream changelog.
# Rationale: the ChangeLog file is an old artifact from the Arch
# times. It is not updated, and is obsolete.
override_dh_installchangelogs:
	dh_installchangelogs ${SRCDIR}/NEWS

# Init files and whatnot were moved to syslog-ng-core, but we want to
# retain the old filenames. Furthermore, the init script is now
# triggered by dpkg triggers, so the maintainer scripts should not
# stop, start or reload syslog-ng anymore.
override_dh_installinit:
	dh_installinit --no-start --name syslog-ng -- defaults 10 90

# Logrotate and Logcheck files were moved from syslog-ng to
# syslog-ng-core too, and like in init's case, we want to keep the old
# name.
override_dh_installlogrotate:
	dh_installlogrotate --name syslog-ng

override_dh_installlogcheck:
	dh_installlogcheck --name syslog-ng

# dh_makeshlibs wants to be clever and treat plugins as shared libs.

## syslog-ng 3.5.2

=== debian/changelog ===
syslog-ng (3.5.2-1) unstable; urgency=high

  [ Gergely Nagy <algernon@madhouse-project.org> ]
  * New upstream release.
    + Fix the system() source on older Linux kernels (Closes: #729991)
    + Fix kernel timestamp computation on 32-bit systems (Closes: #729575)
  * Added a missing GPL-2+ license block to debian/copyright.
  * Correctly install the pkg-config file to /usr/lib/pkgconfig.
  * Updated the Vcs-* fields to point to debian.org resources.
  * Updated the package descriptions to be more similar to the upstream
    one.
  * Urgency set to high, due to the RC bugfix on 32-bit architectures.

 -- Gergely Nagy <algernon@madhouse-project.org>  Mon, 02 Dec 2013 15:19:51 +0100

## syslog-ng 3.5.3

=== modules/afamqp/rabbitmq-c/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.6)
project(rabbitmq-c "C")

set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${CMAKE_CURRENT_SOURCE_DIR}/cmake)

# Follow all steps below in order to calculate new ABI version when updating the library
# NOTE: THIS IS UNRELATED to the actual project version
#
# 1. If the library source code has changed at all since the last update, then increment revision
# 2. If any interfaces have been added, removed, or changed since the last update, increment current and set revision to 0.
# 3. If any interfaces have been added since the last public release, then increment age.
# 4. If any interfaces have been removed since the last public release, then set age to 0.

set(RMQ_SOVERSION_CURRENT   1)
set(RMQ_SOVERSION_REVISION  0)
set(RMQ_SOVERSION_AGE       0)

math(EXPR RMQ_SOVERSION_MAJOR "${RMQ_SOVERSION_CURRENT} - ${RMQ_SOVERSION_AGE}")
math(EXPR RMQ_SOVERSION_MINOR "${RMQ_SOVERSION_AGE}")
math(EXPR RMQ_SOVERSION_PATCH "${RMQ_SOVERSION_REVISION}")

set(RMQ_VERSION ${RMQ_SOVERSION_MAJOR}.${RMQ_SOVERSION_MINOR}.${RMQ_SOVERSION_PATCH})
set(RMQ_SOVERSION ${RMQ_SOVERSION_MAJOR})

set(VERSION "0.2")

if (MSVC)
  set(CMAKE_C_FLAGS "/W4 /nologo ${CMAKE_C_FLAGS}")
elseif (CMAKE_COMPILER_IS_GNUCC)
  set(RMQ_C_FLAGS "-Wall -Wextra -pedantic -Wstrict-prototypes -Wcast-align -Wno-unused-function -fno-common")
  execute_process(COMMAND ${CMAKE_C_COMPILER} -dumpversion OUTPUT_VARIABLE GCC_VERSION)
  if (GCC_VERSION VERSION_GREATER 4.0 OR GCC_VERSION VERSION_EQUAL 4.0)
      set(RMQ_C_FLAGS "${RMQ_C_FLAGS} -fvisibility=hidden")
  endif()
  set(CMAKE_C_FLAGS "${RMQ_C_FLAGS} ${CMAKE_C_FLAGS}")
endif ()

if (NOT CMAKE_BUILD_TYPE)
  set(CMAKE_BUILD_TYPE "Release" CACHE STRING "Choose the type of build, options are: Debug Release RelWithDebInfo MinSizeRel." FORCE)
endif()

#find python
find_package(PythonInterp REQUIRED)

#Determine Python Version:
if(PYTHON_EXECUTABLE)
  execute_process(COMMAND "${PYTHON_EXECUTABLE}" -c
    "import sys; sys.stdout.write(';'.join([str(x) for x in sys.version_info[:3]]))"
    OUTPUT_VARIABLE _VERSION
    RESULT_VARIABLE _PYTHON_VERSION_RESULT
    ERROR_QUIET)
  if(NOT _PYTHON_VERSION_RESULT)
    string(REPLACE ";" "." PYTHON_VERSION_STRING "${_VERSION}")
    list(GET _VERSION 0 PYTHON_VERSION_MAJOR)
    list(GET _VERSION 1 PYTHON_VERSION_MINOR)
    list(GET _VERSION 2 PYTHON_VERSION_PATCH)
    if(PYTHON_VERSION_PATCH EQUAL 0)
      # it's called "Python 2.7", not "2.7.0"
      string(REGEX REPLACE "\\.0$" "" PYTHON_VERSION_STRING "${PYTHON_VERSION_STRING}")
    endif()
  else()
    # sys.version predates sys.version_info, so use that
    execute_process(COMMAND "${PYTHON_EXECUTABLE}" -c "import sys; sys.stdout.write(sys.version)"
      OUTPUT_VARIABLE _VERSION
      RESULT_VARIABLE _PYTHON_VERSION_RESULT
      ERROR_QUIET)
    if(NOT _PYTHON_VERSION_RESULT)
      string(REGEX REPLACE " .*" "" PYTHON_VERSION_STRING "${_VERSION}")
      string(REGEX REPLACE "^([0-9]+)\\.[0-9]+.*" "\\1" PYTHON_VERSION_MAJOR "${PYTHON_VERSION_STRING}")
      string(REGEX REPLACE "^[0-9]+\\.([0-9])+.*" "\\1" PYTHON_VERSION_MINOR "${PYTHON_VERSION_STRING}")
      if(PYTHON_VERSION_STRING MATCHES "^[0-9]+\\.[0-9]+\\.[0-9]+.*")
        string(REGEX REPLACE "^[0-9]+\\.[0-9]+\\.([0-9]+).*" "\\1" PYTHON_VERSION_PATCH "${PYTHON_VERSION_STRING}")
      else()
        set(PYTHON_VERSION_PATCH "0")
      endif()
    else()
      # sys.version was first documented for Python 1.5, so assume
      # this is older.
      set(PYTHON_VERSION_STRING "1.4")
      set(PYTHON_VERSION_MAJOR "1")
      set(PYTHON_VERSION_MAJOR "4")
      set(PYTHON_VERSION_MAJOR "0")
    endif()
  endif()
  unset(_PYTHON_VERSION_RESULT)
  unset(_VERSION)
endif(PYTHON_EXECUTABLE)

# If we're running v3.x look for a 2to3 utility
if (PYTHON_VERSION_MAJOR GREATER 2)
  get_filename_component(PYTHON_EXE_DIR ${PYTHON_EXECUTABLE} PATH)
  find_program(PYTHON_2TO3_EXECUTABLE
    NAMES 2to3
    HINTS ${PYTHON_EXE_DIR}
    )

  if ("PYTHON_2TO3_EXECUTABLE-NOTFOUND" STREQUAL PYTHON_2TO3_EXECUTABLE)
    message(FATAL_ERROR "Unable to find 2to3 python utility, specify python 2.7 or specify 2to3 utility")
  endif ()
endif ()


#check for json or simplejson
execute_process(COMMAND ${PYTHON_EXECUTABLE} -c "import json"
  RESULT_VARIABLE CHECK_PYTHON_JSON_FAILED
)

if (CHECK_PYTHON_JSON_FAILED)
  execute_process(COMMAND ${PYTHON_EXECUTABLE} -c "import simplejson"
    RESULT_VARIABLE CHECK_PYTHON_SIMPLEJSON_FAILED
  )

  if (CHECK_PYTHON_SIMPLEJSON_FAILED)
    message(FATAL_ERROR "could not find a python that can 'import simplejson")
  endif (CHECK_PYTHON_SIMPLEJSON_FAILED)
endif (CHECK_PYTHON_JSON_FAILED)

include(TestCInline)

find_path(RABBITMQ_CODEGEN_DIR
  amqp_codegen.py
  PATHS ${CMAKE_CURRENT_SOURCE_DIR}/codegen
        ${CMAKE_CURRENT_SOURCE_DIR}/rabbitmq-codegen 
        ${CMAKE_CURRENT_SOURCE_DIR}/../rabbitmq-codegen
        DOC "Path to directory containing amqp_codegen.py (rabbitmq-codegen)"
        NO_DEFAULT_PATH
        )

if (RABBITMQ_CODEGEN_DIR STREQUAL "RABBITMQ_CODEGEN_DIR-NOTFOUND")
  message(SEND_ERROR "Cannot find amqp_codegen.py, did you forget to:\n\ngit submodule init\ngit submodule update\n?")
else ()
  message(STATUS "Using amqp_codegen.py in ${RABBITMQ_CODEGEN_DIR}")
endif()

set(AMQP_CODEGEN_DIR ${RABBITMQ_CODEGEN_DIR} CACHE PATH "Path to rabbitmq-codegen" FORCE)
mark_as_advanced(AMQP_CODEGEN_DIR)

find_package(POPT)
find_package(XmlTo)

if (POPT_FOUND AND XmlTo_FOUND)
  set(DO_DOCS ON)
endif()

option(BUILD_SHARED_LIBS "Build rabbitmq-c as a shared library" ON)
option(BUILD_EXAMPLES "Build Examples" ON)
option(BUILD_TOOLS "Build Tools (requires POPT Library)" ${POPT_FOUND})
option(BUILD_TOOLS_DOCS "Build man pages for Tools (requires xmlto)" ${DO_DOCS})
option(BUILD_TESTS "Build tests (run tests with make test)" ON)

if (WIN32 AND NOT BUILD_SHARED_LIBS)
  message(FATAL_ERROR "The rabbitmq-c library cannot be built as a static library on Win32. Set BUILD_SHARED_LIBS=ON to get around this.")
endif()

add_subdirectory(librabbitmq)

if (BUILD_EXAMPLES)
  add_subdirectory(examples)
endif ()

if (BUILD_TOOLS)
  if (POPT_FOUND)
    add_subdirectory(tools)
  else ()
    message(WARNING "POpt library was not found. Tools will not be built")
  endif ()
endif ()

if (BUILD_TESTS)
  enable_testing()
  add_subdirectory(tests)
endif (BUILD_TESTS)

set(prefix ${CMAKE_INSTALL_PREFIX})
set(exec_prefix ${CMAKE_INSTALL_PREFIX}/bin)
set(libdir ${CMAKE_INSTALL_PREFIX}/lib)
set(includedir ${CMAKE_INSTALL_PREFIX}/include)

configure_file(librabbitmq.pc.in ${CMAKE_CURRENT_BINARY_DIR}/librabbitmq.pc @ONLY)

install(FILES
  ${CMAKE_CURRENT_BINARY_DIR}/librabbitmq.pc
  DESTINATION ${CMAKE_INSTALL_PREFIX}/lib/pkgconfig
  )

=== modules/afamqp/rabbitmq-c/examples/CMakeLists.txt ===
include_directories(${LIBRABBITMQ_INCLUDE_DIRS})

if (WIN32)
    set(PLATFORM_DIR win32)
else (WIN32)
    set(PLATFORM_DIR unix)
endif (WIN32)

set(COMMON_SRCS
    utils.h
    utils.c
    ${PLATFORM_DIR}/platform_utils.c
    )

add_executable(amqp_sendstring amqp_sendstring.c ${COMMON_SRCS})
target_link_libraries(amqp_sendstring rabbitmq)

add_executable(amqp_rpc_sendstring_client amqp_rpc_sendstring_client.c ${COMMON_SRCS})
target_link_libraries(amqp_rpc_sendstring_client rabbitmq)

add_executable(amqp_exchange_declare amqp_exchange_declare.c ${COMMON_SRCS})
target_link_libraries(amqp_exchange_declare rabbitmq)

add_executable(amqp_listen amqp_listen.c ${COMMON_SRCS})
target_link_libraries(amqp_listen rabbitmq)

add_executable(amqp_producer amqp_producer.c ${COMMON_SRCS})
target_link_libraries(amqp_producer rabbitmq)

add_executable(amqp_consumer amqp_consumer.c ${COMMON_SRCS})
target_link_libraries(amqp_consumer rabbitmq)

add_executable(amqp_unbind amqp_unbind.c ${COMMON_SRCS})
target_link_libraries(amqp_unbind rabbitmq)

add_executable(amqp_bind amqp_bind.c ${COMMON_SRCS})
target_link_libraries(amqp_bind rabbitmq)

add_executable(amqp_listenq amqp_listenq.c ${COMMON_SRCS})
target_link_libraries(amqp_listenq rabbitmq)

=== modules/afamqp/rabbitmq-c/tests/CMakeLists.txt ===
include_directories(${LIBRABBITMQ_INCLUDE_DIRS})

if (MSVC)
  # No version of MSVC has inttypes.h, this uses the msinttypes
  #  Note this includes stdint.h which is either in 
  #  ../librabbitmq/win32/msinttypes or in a standard location
  include_directories(win32/msinttypes)
endif (MSVC)

add_executable(test_parse_url test_parse_url.c)
target_link_libraries(test_parse_url rabbitmq)
add_test(parse_url test_parse_url)

add_executable(test_tables test_tables.c)
target_link_libraries(test_tables rabbitmq)
add_test(tables test_tables)
configure_file(test_tables.expected ${CMAKE_CURRENT_BINARY_DIR}/tests/test_tables.expected COPY_ONLY)

=== debian/changelog ===
syslog-ng (3.5.3-1) unstable; urgency=medium

  [ Gergely Nagy <algernon@madhouse-project.org> ]
  * New upstream release.
    + Based on 3.5/master, which includes a couple of bison3 fixes.

 -- Gergely Nagy <algernon@madhouse-project.org>  Wed, 25 Dec 2013 15:29:45 +0100

=== debian/control ===
Source: syslog-ng
Section: admin
Priority: extra
Maintainer: syslog-ng maintainers <syslog-ng-maintainers@lists.alioth.debian.org>
Uploaders: Gergely Nagy <algernon@madhouse-project.org>,
           Laszlo Boszormenyi (GCS) <gcs@debian.hu>,
           SZALAY Attila <sasa@debian.org>
Build-Depends: debhelper (>= 9~),
               dh-autoreconf,
               automake (>= 1:1.11.1),
               pkg-config, flex, bison, lsb-release,
               xsltproc, docbook-xsl,
               libevtlog-dev (>= 0.2.12-5~),
               libesmtp-dev,
               libivykis-dev (>= 0.36.1~),
               libnet1-dev,
               libglib2.0-dev,
               libdbi0-dev | libdbi-dev,
               libssl-dev,
               libmongo-client-dev (>= 0.1.6~),
               libjson0-dev,
               libwrap0-dev,
               libpcre3-dev,
               libcap-dev [linux-any],
               libsystemd-daemon-dev [linux-any], dh-systemd (>= 1.3),
               libgeoip-dev,
               libhiredis-dev,
               python
Build-Conflicts: autoconf2.13
Standards-Version: 3.9.5
Homepage: http://www.balabit.com/network-security/syslog-ng/opensource-logging-system
Vcs-Git: git://anonscm.debian.org/syslog-ng/syslog-ng.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=syslog-ng/syslog-ng.git

Package: syslog-ng
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}, syslog-ng-core (>= ${source:Upstream-Version}), ${sng:CoreModules}
Recommends: ${sng:Modules}
Description: Enhanced system logging daemon (metapackage)
 syslog-ng is an enhanced log daemon, supporting a wide range of input
 and output methods: syslog, unstructured text, message queues,
 databases (SQL and NoSQL alike) and more.
 .
 Key features:
 .
  * receive and send RFC3164 and RFC5424 style syslog messages
  * work with any kind of unstructured data
  * receive and send JSON formatted messages
  * classify and structure logs with builtin parsers (csv-parser(),
    db-parser(), etc.)
  * normalize, crunch and process logs as they flow through the system
  * hand on messages for further processing using message queues (like
    AMQP), files or databases (like PostgreSQL or MongoDB).
 .
 This package is a metapackage, depending on the rest of syslog-ng,
 including all available plugins. It can be safely removed, if only
 parts of syslog-ng need to be installed.

Package: syslog-ng-dbg
Architecture: any
Multi-Arch: same
Section: debug
Depends: syslog-ng-core (= ${binary:Version}), ${misc:Depends}
Description: Enhanced system logging daemon (debug symbols)
 syslog-ng is an enhanced log daemon, supporting a wide range of input
 and output methods: syslog, unstructured text, message queues,
 databases (SQL and NoSQL alike) and more.
 .
 Key features:
 .
  * receive and send RFC3164 and RFC5424 style syslog messages
  * work with any kind of unstructured data
  * receive and send JSON formatted messages
  * classify and structure logs with builtin parsers (csv-parser(),
    db-parser(), etc.)
  * normalize, crunch and process logs as they flow through the system
  * hand on messages for further processing using message queues (like
    AMQP), files or databases (like PostgreSQL or MongoDB).
 .
 This package contains debug symbols for the whole of syslog-ng,
 including the modules.

Package: syslog-ng-dev
Section: libdevel
Architecture: any
Depends: syslog-ng-core (= ${binary:Version}),
 ${misc:Depends}, ${perl:Depends},
 pkg-config, perl, flex, bison,
 libevtlog-dev (>= 0.2.12), libglib2.0-dev, libivykis-dev (>= 0.30)
Description: Enhanced system logging daemon (development files)
 syslog-ng is an enhanced log daemon, supporting a wide range of input
 and output methods: syslog, unstructured text, message queues,
 databases (SQL and NoSQL alike) and more.
 .
 Key features:
 .
  * receive and send RFC3164 and RFC5424 style syslog messages
  * work with any kind of unstructured data
  * receive and send JSON formatted messages
  * classify and structure logs with builtin parsers (csv-parser(),
    db-parser(), etc.)
  * normalize, crunch and process logs as they flow through the system
  * hand on messages for further processing using message queues (like
    AMQP), files or databases (like PostgreSQL or MongoDB).
 .
 This package contains the headers and tools needed to build
 third-party plugins against syslog-ng, the next generation system
 logging daemon.

Package: syslog-ng-core
Architecture: any
Multi-Arch: foreign
Depends: ${shlibs:Depends}, ${misc:Depends}, util-linux (>= 2.12-10)
Recommends: logrotate
Suggests: ${sng:CoreModules}, ${sng:Modules}
Provides: system-log-daemon, linux-kernel-log-daemon, libsyslog-ng-dev
Conflicts: system-log-daemon, linux-kernel-log-daemon
Replaces: syslog-ng (<< 3.3.0~), libsyslog-ng-dev
Breaks: syslog-ng (<< 3.3.0~), libsyslog-ng-dev
Description: Enhanced system logging daemon (core)
 syslog-ng is an enhanced log daemon, supporting a wide range of input
 and output methods: syslog, unstructured text, message queues,
 databases (SQL and NoSQL alike) and more.
 .
 Key features:
 .
  * receive and send RFC3164 and RFC5424 style syslog messages
  * work with any kind of unstructured data
  * receive and send JSON formatted messages
  * classify and structure logs with builtin parsers (csv-parser(),
    db-parser(), etc.)
  * normalize, crunch and process logs as they flow through the system
  * hand on messages for further processing using message queues (like
    AMQP), files or databases (like PostgreSQL or MongoDB).
 .
 This package provides the core syslog-ng, with all the plugins
 required for a standard installation.

Package: syslog-ng-mod-json
Architecture: any
Multi-Arch: foreign
Depends: syslog-ng-core (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Description: Enhanced system logging daemon (JSON plugin)
 syslog-ng is an enhanced log daemon, supporting a wide range of input
 and output methods: syslog, unstructured text, message queues,
 databases (SQL and NoSQL alike) and more.
 .
 Key features:
 .
  * receive and send RFC3164 and RFC5424 style syslog messages
  * work with any kind of unstructured data
  * receive and send JSON formatted messages
  * classify and structure logs with builtin parsers (csv-parser(),
    db-parser(), etc.)
  * normalize, crunch and process logs as they flow through the system
  * hand on messages for further processing using message queues (like
    AMQP), files or databases (like PostgreSQL or MongoDB).
 .
 This package provides the $(format-json) template function plugin,
 which makes it possible to conveniently serialize system log messages
 to JSON. Along with the template function, this module also provides
 a json-parser plugin, allowing syslog-ng to parse JSON input.

Package: syslog-ng-mod-mongodb
Architecture: any
Multi-Arch: foreign
Depends: syslog-ng-core (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Suggests: mongodb-server
Description: Enhanced system logging daemon (MongoDB plugin)
 syslog-ng is an enhanced log daemon, supporting a wide range of input
 and output methods: syslog, unstructured text, message queues,
 databases (SQL and NoSQL alike) and more.
 .
 Key features:
 .
  * receive and send RFC3164 and RFC5424 style syslog messages
  * work with any kind of unstructured data
  * receive and send JSON formatted messages
  * classify and structure logs with builtin parsers (csv-parser(),
    db-parser(), etc.)
  * normalize, crunch and process logs as they flow through the system
  * hand on messages for further processing using message queues (like
    AMQP), files or databases (like PostgreSQL or MongoDB).
 .
 This package provides the MongoDB destination plugin, which allows
 one to log system messages to MongoDB.

Package: syslog-ng-mod-sql
Architecture: any
Multi-Arch: foreign
Depends: syslog-ng-core (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Suggests: libdbd-mysql, libdbd-pgsql, libdbd-sqlite3
Description: Enhanced system logging daemon (SQL plugin)
 syslog-ng is an enhanced log daemon, supporting a wide range of input
 and output methods: syslog, unstructured text, message queues,
 databases (SQL and NoSQL alike) and more.
 .
 Key features:
 .
  * receive and send RFC3164 and RFC5424 style syslog messages
  * work with any kind of unstructured data
  * receive and send JSON formatted messages
  * classify and structure logs with builtin parsers (csv-parser(),
    db-parser(), etc.)
  * normalize, crunch and process logs as they flow through the system
  * hand on messages for further processing using message queues (like
    AMQP), files or databases (like PostgreSQL or MongoDB).
 .
 This package provides the SQL destination plugin, which allows one to
 log system messages to a multitude of SQL databases (including, but
 not limited to MySQL, PostgreSQL and SQLite).

Package: syslog-ng-mod-smtp
Architecture: any
Multi-Arch: foreign
Depends: syslog-ng-core (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Description: Enhanced system logging daemon (SMTP plugin)
 syslog-ng is an enhanced log daemon, supporting a wide range of input
 and output methods: syslog, unstructured text, message queues,
 databases (SQL and NoSQL alike) and more.
 .
 Key features:
 .
  * receive and send RFC3164 and RFC5424 style syslog messages
  * work with any kind of unstructured data
  * receive and send JSON formatted messages
  * classify and structure logs with builtin parsers (csv-parser(),
    db-parser(), etc.)
  * normalize, crunch and process logs as they flow through the system
  * hand on messages for further processing using message queues (like
    AMQP), files or databases (like PostgreSQL or MongoDB).
 .
 This package provides the SMTP destination plugin, which allows one
 to send email messages from within syslog-ng itself.

Package: syslog-ng-mod-amqp
Architecture: any
Multi-Arch: foreign
Depends: syslog-ng-core (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Suggests: rabbitmq-server
Description: Enhanced system logging daemon (AMQP plugin)
 syslog-ng is an enhanced log daemon, supporting a wide range of input
 and output methods: syslog, unstructured text, message queues,
 databases (SQL and NoSQL alike) and more.
 .
 Key features:
 .
  * receive and send RFC3164 and RFC5424 style syslog messages
  * work with any kind of unstructured data
  * receive and send JSON formatted messages
  * classify and structure logs with builtin parsers (csv-parser(),
    db-parser(), etc.)
  * normalize, crunch and process logs as they flow through the system
  * hand on messages for further processing using message queues (like
    AMQP), files or databases (like PostgreSQL or MongoDB).
 .
 This package provides the AMQP destination plugin, which allows one
 to publish log messages through the AMQP protocol.

Package: syslog-ng-mod-geoip
Architecture: any
Multi-Arch: foreign
Depends: syslog-ng-core (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Recommends: geoip-database
Description: Enhanced system logging daemon (GeoIP plugin)
 syslog-ng is an enhanced log daemon, supporting a wide range of input
 and output methods: syslog, unstructured text, message queues,
 databases (SQL and NoSQL alike) and more.
 .
 Key features:
 .
  * receive and send RFC3164 and RFC5424 style syslog messages
  * work with any kind of unstructured data
  * receive and send JSON formatted messages
  * classify and structure logs with builtin parsers (csv-parser(),
    db-parser(), etc.)
  * normalize, crunch and process logs as they flow through the system
  * hand on messages for further processing using message queues (like
    AMQP), files or databases (like PostgreSQL or MongoDB).
 .
 This package provides the GeoIP template function plugin, which
 allows one to do non-DNS IP-to-country resolving from syslog-ng
 templates.

Package: syslog-ng-mod-redis
Architecture: any
Multi-Arch: foreign
Depends: syslog-ng-core (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}

=== debian/rules ===
--- 
+++ 
@@ -121,7 +121,7 @@
 # we override libdir above to place everything useful there. We want
 # the .pc file elsewhere, though, so do that here at install time.
 override_dh_auto_install:
-	dh_auto_install -- pkgconfdir=/usr/lib/pkgconfig
+	dh_auto_install -- pkgconfigdir=/usr/lib/pkgconfig
 
 # Tests. While tests are good, they're quite costy, and I'm not
 # convinced they'd run on the buildds at all. Therefore, they're
